<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Create a DataFrame from a Parquet file.</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<link rel="stylesheet" type="text/css" href="R.css">
</head><body>

<table width="100%" summary="page for read.parquet {SparkR}"><tr><td>read.parquet {SparkR}</td><td align="right">R Documentation</td></tr></table>

<h2>Create a DataFrame from a Parquet file.</h2>

<h3>Description</h3>

<p>Loads a Parquet file, returning the result as a DataFrame.
</p>


<h3>Usage</h3>

<pre>
read.parquet(sqlContext, path)

parquetFile(sqlContext, ...)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>sqlContext</code></td>
<td>
<p>SQLContext to use</p>
</td></tr>
<tr valign="top"><td><code>path</code></td>
<td>
<p>Path of file to read. A vector of multiple paths is allowed.</p>
</td></tr>
</table>


<h3>Value</h3>

<p>DataFrame
</p>

<hr><div align="center">[Package <em>SparkR</em> version 1.6.1 <a href="00Index.html">Index</a>]</div>
</body></html>
